## goby 1.0

=== Makefile ===
PREFIX = /usr/local

EMACS  = emacs
ELCDIR = $(PREFIX)/share/emacs/site-lisp/goby
SRC = goby-emacs.el  goby-vars.el  goby.el  goby-view.el  goby-ps.el
ELC = goby-emacs.elc goby-vars.elc goby.elc goby-view.elc goby-ps.elc

ALSRC = goby-emacs.el  goby-vars.el goby.el goby-view.el goby-ps.el 
CHECK = xemacs # to check unused variables only

MKDIR   = mkdir
RM      = rm -f
INSTALL = install -c -m 644

PTH = path.el
OTH = diff $(PTH)

all: compile

compile: $(SRC)
	echo '(setq load-path (cons "." load-path))' > $(PTH)
	for el in $(SRC); do \
	  $(EMACS) -q -no-site-file -batch -l $(PTH) -f batch-byte-compile $$el; \
	done
	$(RM) $(PTH)

check: $(ALSRC)
	echo '(setq load-path (cons "." load-path))' > $(PTH)
	for el in $(ALSRC); do \
	  $(CHECK) -q -no-site-file -batch -l $(PTH) -f batch-byte-compile $$el; \
	done

install:
	if [ ! -d $(ELCDIR) ]; then \
	  $(MKDIR) $(ELCDIR); \
	fi
	for el in $(SRC); do \
	  $(INSTALL) $$el $(ELCDIR); \
	done
	for elc in $(ELC); do \
	  $(INSTALL) $$elc $(ELCDIR); \
	done

clean:
	$(RM) *.elc $(OTH)

distclean:
	$(RM) *.elc $(OTH)

diff::
	-cvs diff -c -F "^(" > $@

## goby 1.1

=== debian/changelog ===
goby (1.1-2) unstable; urgency=low

  * debian/control: Add emacs24 and drop emacs21
  * debian/rules: New targets build-arch and build-indep
  * debian/copyright: Update copyright-format version to 1.0
  * debian/control: Update Standards-Version to 3.9.3
  * Switch to dpkg-source 3.0 (quilt) format

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 07 Jul 2012 19:16:36 +0900

goby (1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update Standards-Version to 3.9.2.
  * debian/copyright: Switch to the DEP-5 format.
  * debian/README.Debian: Updated for emacs23.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 29 Jun 2011 21:55:46 +0900

goby (1.0-2) unstable; urgency=low

  * debian/control:
    - Add emacs23 and emacs-snapshot to Depends.
    - Add ${misc:Depends} to Depends.
    - Update Standards-Version to 3.8.4.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 12 Feb 2010 22:26:34 +0900

goby (1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/dot.emacs.el: Add an example for ttf-umefont.
  * debian/watch: Updated.
  * debian/control:
    - Set Section to `lisp'.
    - Update Standards-Version to 3.8.2.

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 07 Jul 2009 07:32:26 +0900

goby (0.94-1) unstable; urgency=low

  * Initial Release. (closes: #502854)

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 03 Jan 2009 19:41:33 +0900

=== debian/control ===
Source: goby
Section: lisp
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.3
Homepage: http://www.mew.org/~kazu/proj/goby/

Package: goby
Architecture: all
Depends: emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot, ${misc:Depends}
Recommends: netpbm, imagemagick
Suggests: ttf-liberation, ttf-dejavu, ttf-japanese-gothic, ttf-japanese-mincho, ghostscript
Description: WYSIWYG presentation tool for Emacs
 Goby is an Emacs Lisp package to display large fonts and images, which
 can be used as a WYSIWYG presentation tool on GNU Emacs.
 .
 There are two modes, Edit and View, for Goby.  Edit mode is implemented
 as a minor mode while View mode as a major mode.  The created file (*.gby)
 is just a text, so you can easily handle it.
 .
 To display large fonts, install TrueType font packages.  To use images,
 install the netpbm package.  To make screen dumps, install the
 imagemagick package.

## goby 1.1%2B0.20180214

=== debian/changelog ===
goby (1.1+0.20180214-1) unstable; urgency=medium

  * New upstream version 1.1+0.20180214
  * Update 900_changelog.patch
  * Update debhelper compat version to 10
  * Prefer emacs-nox over emacs
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Update debian/copyright
  * Update Standards-Version to 4.1.3
  * Update README.Debian

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 18 Feb 2018 20:22:43 +0900

goby (1.1+0.20150806-2) unstable; urgency=medium

  * Update 900_changelog.patch
  * Update debhelper compat version to 9

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 23 Oct 2016 23:55:01 +0900

goby (1.1+0.20150806-1) unstable; urgency=medium

  * New upstream version 1.1+0.20150806
  * Update debian/copyright
  * Accept emacs25
  * Update Vcs-Browser to https
  * Update Standards-Version to 3.9.8

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 23 Oct 2016 22:29:55 +0900

goby (1.1+0.20140625-1) unstable; urgency=medium

  * Imported Upstream version 1.1+0.20140625
  * Update 900_changelog.patch
  * Update debian/copyright
  * Depend on emacsen-common 2.0.8
  * Install a compat file with emacsen-compat

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 24 Aug 2014 18:35:36 +0900

goby (1.1+0.20131109-1) unstable; urgency=low

  * Imported Upstream version 1.1+0.20131109
  * New patch 900_changelog.patch to genarate ChangeLog
  * Workaround for emacsen-common <2 and debhelper <9.20131104
  * Use fonts-* instead of ttf-*
  * Add Vcs-Git and Vcs-Browser
  * Update debian/copyright
  * Update Standards-Version to 3.9.5

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 15 Dec 2013 22:11:28 +0900

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.3
 Homepage: http://www.mew.org/~kazu/proj/goby/
+Vcs-Browser: https://salsa.debian.org/debian/goby
+Vcs-Git: https://salsa.debian.org/debian/goby.git
 
 Package: goby
 Architecture: all
-Depends: emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot, ${misc:Depends}
+Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs-snapshot, ${misc:Depends}
 Recommends: netpbm, imagemagick
-Suggests: ttf-liberation, ttf-dejavu, ttf-japanese-gothic, ttf-japanese-mincho, ghostscript
+Suggests: fonts-liberation, fonts-dejavu, fonts-japanese-gothic, fonts-japanese-mincho, ghostscript
 Description: WYSIWYG presentation tool for Emacs
  Goby is an Emacs Lisp package to display large fonts and images, which
  can be used as a WYSIWYG presentation tool on GNU Emacs.

## goby 1.1+0.20131109

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SRC = goby-emacs.el  goby-vars.el  goby.el  goby-view.el  goby-ps.el
 ELC = goby-emacs.elc goby-vars.elc goby.elc goby-view.elc goby-ps.elc
 
-ALSRC = goby-emacs.el  goby-vars.el goby.el goby-view.el goby-ps.el 
+ALSRC = goby-emacs.el  goby-vars.el goby.el goby-view.el goby-ps.el
 CHECK = xemacs # to check unused variables only
 
 MKDIR   = mkdir
@@ -49,3 +49,9 @@
 
 diff::
 	-cvs diff -c -F "^(" > $@
+
+VERSION = `git tag | tail -1 | sed -e 's/v//'`
+
+archive:
+	git archive master -o ~/goby-$(VERSION).tar --prefix=goby-$(VERSION)/
+	gzip ~/goby-$(VERSION).tar

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.9.5
 Homepage: http://www.mew.org/~kazu/proj/goby/
-Vcs-Browser: https://salsa.debian.org/debian/goby
-Vcs-Git: https://salsa.debian.org/debian/goby.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/goby.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/goby.git
 
 Package: goby
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs-snapshot, ${misc:Depends}
+Depends: emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot, ${misc:Depends}
 Recommends: netpbm, imagemagick
 Suggests: fonts-liberation, fonts-dejavu, fonts-japanese-gothic, fonts-japanese-mincho, ghostscript
 Description: WYSIWYG presentation tool for Emacs

## goby 1.1+0.20140625

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: goby
 Architecture: all
-Depends: emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot, ${misc:Depends}
+Depends: emacsen-common (>= 2.0.8), emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot, ${misc:Depends}
 Recommends: netpbm, imagemagick
 Suggests: fonts-liberation, fonts-dejavu, fonts-japanese-gothic, fonts-japanese-mincho, ghostscript
 Description: WYSIWYG presentation tool for Emacs

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1

PACKAGE=goby

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch $@

build-arch:

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	dh_clean

install-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	install -m 644 *.el "$(CURDIR)/debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)"

install-arch:

install: install-indep install-arch

binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installemacsen
	dh_installinfo
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build-arch install-arch

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install-indep install-arch install

## goby 1.1+0.20150806

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.8
 Homepage: http://www.mew.org/~kazu/proj/goby/
 Vcs-Git: git://anonscm.debian.org/collab-maint/goby.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/goby.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/goby.git
 
 Package: goby
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot, ${misc:Depends}
+Depends: emacsen-common (>= 2.0.8), emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs-snapshot, ${misc:Depends}
 Recommends: netpbm, imagemagick
 Suggests: fonts-liberation, fonts-dejavu, fonts-japanese-gothic, fonts-japanese-mincho, ghostscript
 Description: WYSIWYG presentation tool for Emacs

## goby 1.1+0.20180214

=== debian/changelog ===
goby (1.1+0.20180214-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Tatsuya Kinoshita ]
  * Update debian/copyright
  * Leave a compilation log
  * Prevent native compilation when byte-compiling
  * Relax dependencies on emacs flavors
  * Update Standards-Version to 4.6.2
  * Mention TrueType/OpenType font packages

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 07 Jan 2023 21:28:25 +0900

goby (1.1+0.20180214-5) unstable; urgency=medium

  * Update examples for freefont, noto-cjk, motoya-l-maruberi, yusei-magic
  * Add fonts packages in examples to Suggests

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 08 Feb 2021 21:36:44 +0900

goby (1.1+0.20180214-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.2.1, no changes needed.
  * Remove empty maintainer scripts: None (prerm), None (postinst)

  [ Tatsuya Kinoshita ]
  * Drop debian/patches
  * Add debian/upstream/metadata
  * Add Rules-Requires-Root: no
  * Update debhelper-compat to 13
  * Update debian/watch to version 4
  * Update debian/copyright
  * Update README.Debian to use https
  * Update Standards-Version to 4.5.1

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 01 Jan 2021 16:51:26 +0900

goby (1.1+0.20180214-3) unstable; urgency=medium

  * Handle symlinks for emacsen-startup
  * Check stamp file so that source file isn't newer
  * Update Standards-Version to 4.2.0

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 22 Aug 2018 21:41:17 +0900

goby (1.1+0.20180214-2) unstable; urgency=medium

  * Accept unversioned emacs flavor for emacsen-common 3.0.0
  * Drop workaround for emacsen-common 1.x
  * Update debhelper compat version to 11
  * Update Standards-Version to 4.1.4
  * Update examples/dot.emacs.el

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jun 2018 20:24:23 +0900

=== debian/control ===
Source: goby
Section: lisp
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://www.mew.org/~kazu/proj/goby/
Vcs-Browser: https://salsa.debian.org/debian/goby
Vcs-Git: https://salsa.debian.org/debian/goby.git
Rules-Requires-Root: no

Package: goby
Architecture: all
Depends: emacsen-common, ${misc:Depends}
Recommends: emacs, netpbm, imagemagick
Suggests: fonts-liberation, fonts-dejavu, fonts-freefont-ttf, fonts-japanese-gothic, fonts-japanese-mincho, fonts-noto-cjk, fonts-horai-umefont, fonts-monapo, fonts-kiloji, fonts-motoya-l-maruberi, fonts-yusei-magic, ghostscript
Description: WYSIWYG presentation tool for Emacs
 Goby is an Emacs Lisp package to display large fonts and images, which
 can be used as a WYSIWYG presentation tool on GNU Emacs.
 .
 There are two modes, Edit and View, for Goby.  Edit mode is implemented
 as a minor mode while View mode as a major mode.  The created file (*.gby)
 is just a text, so you can easily handle it.
 .
 To display large fonts, install TrueType/OpenType font packages.  To use
 images, install the netpbm package.  To make screen dumps, install the
 imagemagick package.

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	install -m 644 *.el "$(CURDIR)/debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)"
+	install -m 644 *.el "$(CURDIR)/debian/$(PACKAGE)/usr/share/$(PACKAGE)"
 
 install-arch:
